Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Net.EndPoint

The class contains the host and local or remote port information needed by an application to connect to a service on a host. By combining the host's IP address and port number of a service, the class forms a connection point to a service.

Represents a network endpoint as an IP address and a port number.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  is less than or greater than .

  A negative number was specified for .

  Initializes a new instance of the class with the specified address and port number.

  The IP address of the Internet host.
  The port number associated with the , or 0 to specify any available port. is in host order.
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.
  is .

  is less than or greater than .

  Initializes a new instance of the class with the specified address and port number.

  An .
  The port number associated with the , or 0 to specify any available port. is in host order.
  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.IPAddress

  A instance containing the IP address of the end point.

  To be added.

  Gets or sets the IP address of the endpoint.

  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily

  Returns .

  This property is read-only.

  Gets the Internet Protocol (IP) address family.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.EndPoint ``

  This method overrides .

  The of the specified is not equal to the of the current instance.

  Creates an endpoint from a socket address.

  An instance using the specified socket address.

  The to use for the endpoint. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  if represents the same endpoint as the current instance. If is a reference or is not an instance of , returns .

  Two instances are equal if their and properties contain the same values.

  This method overrides .

  Determines whether the specified is equal to the current instance.

  The specified to compare with the current instance. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  The method returns a hash code of the IP endpoint instance. This value can be used as a key in hash tables.

  Returns a hash value for a instance.

  An integer hash value.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 65535

  This field is read-only. The value of this field is 65535.

  Specifies the maximum value that can be assigned to the property. The MaxPort value is set to 0x0000FFFF. This field is read-only.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 0

  This field is read-only. The value of this field is zero.

  Specifies the minimum value that can be assigned to the property. This field is read-only.

  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  A value that is between and inclusive.

  To be added. The value specified for a set operation was less than or greater than .

  Gets or sets the port number of the endpoint.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.SocketAddress To be added.

  Serializes endpoint information into a instance.

  A instance containing the socket address for the endpoint.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  This method overrides .

  Returns the IP address and port number of the specified endpoint.

  A string containing the IP address and the port number of the specified endpoint (for example, 192.168.1.2:80).

  0
0